curl --request GET \
--url https://api.synctera.com/v2/relationships/{relationship_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/relationships/{relationship_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/relationships/{relationship_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"additional_data": {
"percent_ownership": 35.75
},
"from_business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"relationship_type": "BENEFICIAL_OWNER_OF",
"to_business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get relationship
Get relationship by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Relationship ID of the account associate with the account entity
"1a582c51-e4ff-4e57-9558-08cab6b963aa"
Response
Relationship representation.
- Business Owner
- Managing Person
- Beneficial Owner
- Payer/Payee
Denotes the relationship between specified businesses.
Contains additional information about the relationship.
Show child attributes
Show child attributes
Unique ID for the subject business.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The relationship type. One of the following:
BENEFICIAL_OWNER_OF– a person who directly or indirectly owns a portion of the business.MANAGING_PERSON_OF– a person who is an officer, director, or other notable person of an organization.OWNER_OF– a business with ownership of another business.PAYER_PAYEE- a person or business with a payer payee relationship with another person or business
BENEFICIAL_OWNER_OF, MANAGING_PERSON_OF, OWNER_OF, PAYER_PAYEE "BENEFICIAL_OWNER_OF"
Unique ID for the related business.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The date and time the resource was created.
"2010-05-06T12:23:34.321Z"
Relationship unique identifier.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The date and time the resource was last updated.
"2010-05-06T12:23:34.321Z"
Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Was this page helpful?

